import Vue from 'vue'

// import all components
import vxAxis from './vx-axis'
import vxBounds from './vx-bounds'
import vxChord from './vx-chord'
import vxClipPath from './vx-clip-path'
import vxCurve from './vx-curve'
import vxEvent from './vx-event'
import vxGlyph from './vx-glyph'
import vxGradient from './vx-gradient'
import vxGrid from './vx-grid'
import vxGroup from './vx-group'
import vxHeatmap from './vx-heatmap'
import vxHierarchy from './vx-hierarchy'
import vxLegend from './vx-legend'
import vxMockData from './vx-mock-data'
import vxPattern from './vx-pattern'
import vxPoint from './vx-point'
import vxScale from './vx-scale'
import vxShape from './vx-shape'
import vxText from './vx-text'
import vxThreshold from './vx-threshold'
import vxTooltip from './vx-tooltip'
import vxVoronoi from './vx-voronoi'

const Components = {
  ...vxAxis,
  ...vxBounds,
  ...vxChord,
  ...vxClipPath,
  ...vxCurve,
  ...vxEvent,
  ...vxGlyph,
  ...vxGradient,
  ...vxGrid,
  ...vxGroup,
  ...vxHeatmap,
  ...vxHierarchy,
  ...vxLegend,
  ...vxMockData,
  ...vxPattern,
  ...vxPoint,
  ...vxScale,
  ...vxShape,
  ...vxText,
  ...vxThreshold,
  ...vxTooltip,
  ...vxVoronoi
}

Object.keys(Components).forEach(name => {
  Vue.component(name, Components[name])
})

export default Components